from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from re import compile as re_compile
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('../rougail-tests/funcs/test.py')
try:
    groups.namespace
except:
    groups.addgroup('namespace')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
option_2 = StrOption(name="leader", doc="leader", multi=True, default=["a", "b"], properties=frozenset({"mandatory", "standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-outside-follower-no-mandatory/rougail/00-base.yml'], 'type': 'string'})
option_3 = StrOption(name="follower", doc="follower", multi=True, properties=frozenset({"standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-outside-follower-no-mandatory/rougail/00-base.yml'], 'type': 'string'})
optiondescription_1 = Leadership(name="leader", doc="leader", children=[option_2, option_3], properties=frozenset({"standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-outside-follower-no-mandatory/rougail/00-base.yml']})
option_4 = StrOption(name="variable", doc="variable", multi=True, default=Calculation(func['calc_value'], Params((ParamOption(option_3)), kwargs={'__internal_multi': ParamValue(True)})), properties=frozenset({"notempty", "standard"}), informations={'ymlfiles': ['../rougail-tests/structures/40_9leadership-calculation-outside-follower-no-mandatory/rougail/00-base.yml'], 'type': 'string'})
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, option_4])
